#include <touchgfx/Texts.hpp>
#include <touchgfx/hal/HAL.hpp>
#include <touchgfx/TypedText.hpp>
#include <texts/TypedTextDatabase.hpp>

#ifndef NO_USING_NAMESPACE_TOUCHGFX
using namespace touchgfx;
#endif

extern const touchgfx::Unicode::UnicodeChar* const textsGb[];

const touchgfx::Unicode::UnicodeChar* const * languagesArray[] =
{
textsGb
};

touchgfx::LanguageId touchgfx::Texts::currentLanguage = (LanguageId) 0;
const touchgfx::Unicode::UnicodeChar* const * touchgfx::Texts::currentLanguagePtr = languagesArray[currentLanguage];

void touchgfx::Texts::setLanguage(touchgfx::LanguageId id)
{ 
  currentLanguage = id;
  currentLanguagePtr = languagesArray[currentLanguage];

  touchgfx::TypedText::registerTypedTextDatabase(TypedTextDatabase::getInstance(currentLanguage),
                                                 TypedTextDatabase::getFonts(),
                                                 TypedTextDatabase::getInstanceSize());
}

